function [Myi, Mzi] = Bending_Moment (numberElements,nodeCoordinates,...
    depl,EDof,Iy,Iz)

global E
global numberElementsFoundation

Myi=zeros(numberElements,1);
Mzi=zeros(numberElements,1);

    for i=numberElementsFoundation

        Lel = sqrt((nodeCoordinates(i+1)-nodeCoordinates(i))^2);
        
        deplTopFinal=depl;
        rot=deplTopFinal(EDof(i,:));
        Bf=[0,0,0,-1,-1,-1,0,0,0,1,1,1]/Lel;
        chiMy=Bf([5 11])*rot([5 11]);
        chiMz=Bf([6 12])*rot([6 12]);
        
        Myi(i)=E*Iz(i)*chiMy;
        Mzi(i)=E*Iy(i)*chiMz;

    end
    
end