function [] = Graphs (NSamples,DisplTopX,DisplTopY,DisplTopZ,BMBottomY,...
    BMBottomZ,tf)

% function [] = Graphs (GDof, nodeCoordinates, depl, t, vel, accl, load1, ...
%     load2, load3, bendingCoord, My, Mz, numberElementsFoundation, ...
%     numberElementsTowerBase)

% for i=1:GDof/6
% 
% u1(i)=nodeCoordinates(i,1)'-depl(i*6-5,16001);
% v1(i)=nodeCoordinates(i,2)'-depl(i*6-4,16001);
% w1(i)=nodeCoordinates(i,3)'-depl(i*6-3,16001);
% 
% u2(i)=nodeCoordinates(i,1)'-depl(i*6-5,24001);
% v2(i)=nodeCoordinates(i,2)'-depl(i*6-4,24001);
% w2(i)=nodeCoordinates(i,3)'-depl(i*6-3,24001);
% 
% end
% 
% figure
% plot3(u1,v1,w1,u2,v2,w2,nodeCoordinates(:,1),nodeCoordinates(:,2),...
%     nodeCoordinates(:,3),'-')
% legend('t=300s','t=600s','t=0')
% xlabel('X')
% ylabel('Y')
% zlabel('Z')

% Displacements
figure
deplTopX=DisplTopX(NSamples,:);
subplot(3,1,1)
plot(tf,deplTopX)
title('Displ x at top tower')
xlabel('t')
ylabel('m')
deplTopY=DisplTopY(NSamples,:);
subplot(3,1,2)
plot(tf,deplTopY)
title('Displ y at top tower')
xlabel('t')
ylabel('m')
deplTopZ=DisplTopZ(NSamples,:);
subplot(3,1,3)
plot(tf,deplTopZ)
title('Displ z at top tower')
xlabel('t')
ylabel('m')

% % Velocities
% figure
% velTopX=VeloTopX(NSamples,:);
% subplot(3,1,1)
% plot(tf,velTopX)
% title('Velo x at top tower')
% xlabel('t')
% ylabel('m/s')
% velTopY=VeloTopY(NSamples,:);
% subplot(3,1,2)
% plot(tf,velTopY)
% title('Velo y at top tower')
% xlabel('t')
% ylabel('m/s')
% subplot(3,1,3)
% velTopZ=VeloTopZ(NSamples,:);
% plot(tf,velTopZ)
% title('Velo z at top tower')
% xlabel('t')
% ylabel('m/s')
% 
% % Accelerations
% figure
% acclTopX=AccelTopX(NSamples,:);
% subplot(3,1,1)
% plot(tf,acclTopX)
% title('Accel x at top tower')
% xlabel('t')
% ylabel('m/s2')
% acclTopY=AccelTopX(NSamples,:);
% subplot(3,1,2)
% plot(tf,acclTopY)
% title('Accel y at top tower')
% xlabel('t')
% ylabel('m/s2')
% acclTopZ=AccelTopX(NSamples,:);
% subplot(3,1,3)
% plot(tf,acclTopZ)
% title('Accel z at top tower')
% xlabel('t')
% ylabel('m/s2')

% % Loads
% figure
% subplot(3,1,1)
% plot(tf,load1)
% title('Load x at top tower')
% xlabel('t')
% ylabel('N')
% subplot(3,1,2)
% plot(tf,load2)
% title('Load y at top tower')
% xlabel('t')
% ylabel('N')
% subplot(3,1,3)
% plot(tf,load3)
% title('Load z at top tower')
% xlabel('t')
% ylabel('N')

% Bending moment

figure
MyBT=BMBottomY(NSamples,:);
subplot(2,1,1)
plot(tf,MyBT)
title('My at bottom tower')
xlabel('t')
ylabel('Nm')
MzBT=BMBottomZ(NSamples,:);
subplot(2,1,2)
plot(tf,MzBT)
title('Mz at bottom tower')
xlabel('t')
ylabel('Nm')

% figure
% subplot(2,1,1)
% plot(bendingCoord(:),My(:,end))
% title('My at t = 600s')
% xlabel('m')
% ylabel('Nm')
% subplot(2,1,2)
% plot(bendingCoord(:),Mz(:,end))
% title('Mz at t = 600s')
% xlabel('m')
% ylabel('Nm')

end