function [RF_DisplTopX,RF_DisplTopY,RF_DisplTopZ,RF_BMMudlineY, ...
    RF_BMMudlineZ] = RF_Results_Damage (DisplTopX,DisplTopY,DisplTopZ, ...
    BMMudlineY,BMMudlineZ)

m = 4;
N_eq = 1./(6.3*10^8)^(1/m);
 
[rfi_DisplTopX] = inrain_main(DisplTopX(:));
[nL,L] = hist(rfi_DisplTopX,50);
dmg = Damage_Equiv_Load(L,nL,m,N_eq);
RF_DisplTopX=dmg;
[rfi_DisplTopY] = inrain_main(DisplTopY(:));
[nL,L] = hist(rfi_DisplTopY,50);
dmg = Damage_Equiv_Load(L,nL,m,N_eq);
RF_DisplTopY=dmg;
[rfi_DisplTopZ] = inrain_main(DisplTopZ(:));
[nL,L] = hist(rfi_DisplTopZ,50);
dmg = Damage_Equiv_Load(L,nL,m,N_eq);
RF_DisplTopZ=dmg;

[rfi_BMBottomY] = inrain_main(BMMudlineY(:));
[nL,L] = hist(rfi_BMBottomY,50);
dmg = Damage_Equiv_Load(L,nL,m,N_eq);
RF_BMMudlineY=dmg;
[rfi_BMBottomZ] = inrain_main(BMMudlineZ(:));
[nL,L] = hist(rfi_BMBottomZ,50);
dmg = Damage_Equiv_Load(L,nL,m,N_eq);
RF_BMMudlineZ=dmg;

end