function f = Stiffness_Soil_Funct(x)

    if (x<=30)
        f = 8.9274e+00*x.^2 -5.0240e+02*x+7.0707e+03;
        
    elseif (x<=36)
        f = 4.0123e-01*x.^2 -1.6581e+01*x+1.6987e+02;
        
    else
        f = 1.1408e+00*x.^2 -7.1021e+01*x+1.1718e+03;
        
    end
    
    f = f*271447; % convert to SI units [lbf/in^3] to [N/m^3]
    
end