function phi = Friction_Angle_Funct(x,PDSoil)

global ProbAnalysis

switch ProbAnalysis
    case {'Area','Aerodynamic Damping'}
        
        if (x<=3)
            phi = 38;
        elseif (x<=5)
            phi = 35;
        elseif (x<=7)
            phi = 38;
        elseif (x<=10)
            phi = 38;
        elseif (x<=15)
            phi = 42;
        else
            phi = 42.5;
        end

    case {'Soil','Combined'}      

        if (x<=3)
            phi = PDSoil(1);
        elseif (x<=5)
            phi = PDSoil(2);
        elseif (x<=7)
            phi = PDSoil(3);
        elseif (x<=10)
            phi = PDSoil(4);
        elseif (x<=15)
            phi = PDSoil(5);
        else
            phi = PDSoil(6);
        end

end

end