function [RF_DisplTopX,RF_DisplTopY,RF_DisplTopZ,RF_BMMudlineY,...
    RF_BMMudlineZ] = RF_Results (DisplTopX,DisplTopY,DisplTopZ,BMMudlineY,...
    BMMudlineZ)

global numberSamples

rf_DisplTopX = cell(numberSamples,1);
rf_DisplTopY = cell(numberSamples,1);
rf_DisplTopZ = cell(numberSamples,1);

rf_BMMudlineY = cell(numberSamples,1);
rf_BMMudlineZ = cell(numberSamples,1);

for i=1:numberSamples
    
    [rfi_DisplTopX] = inrain_main(DisplTopX(i,:));
    rf_DisplTopX{i}=rfi_DisplTopX;
	[rfi_DisplTopY] = inrain_main(DisplTopY(i,:));
    rf_DisplTopY{i}=rfi_DisplTopY;
    [rfi_DisplTopZ] = inrain_main(DisplTopZ(i,:));
    rf_DisplTopZ{i}=rfi_DisplTopZ;
    
	[rfi_BMBottomY] = inrain_main(BMMudlineY(i,:));
    rf_BMMudlineY{i}=rfi_BMBottomY;
    [rfi_BMBottomZ] = inrain_main(BMMudlineZ(i,:));
    rf_BMMudlineZ{i}=rfi_BMBottomZ;
    
end

RF_DisplTopX = horzcat(rf_DisplTopX{:});
RF_DisplTopY = horzcat(rf_DisplTopY{:});
RF_DisplTopZ = horzcat(rf_DisplTopZ{:});

RF_BMMudlineY = horzcat(rf_BMMudlineY{:});
RF_BMMudlineZ = horzcat(rf_BMMudlineZ{:});


end